LFR-FSW - Bug #182

[JIRA] (RPWMEB-283) The content of the = PA_LFR_ACQUISITION_TIME parameter of LFR science
packets is wrong]

09/07/2014 10:39 AM - Veronique bouzid

Status: Closed Start date: 09/07/2014
Priority: Immediate Due date:

Assignee: paul leroy % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: r0

Description

Suite a la remontée par Philippe Plasson de | incident RPWMEB-283

J ai ecrit un test pour reproduire le bug.Ce script se nomme my_timeissue_normal.py. Il se trouve sous /home/validation.ll est en
piece jointe.

J'ai envoyé un UPDATE_TIME avec comme temps de réference CP_RPW_TIME=0x1b45fd970000

qui correspond au 1er juillet 2014 vers 23h10 . J ai mis le temps indiqué par Philippe sans vérifier que cela correspondait bien au 1er
juillet 2014.

Je leur fais confiance.

Je vois bien la mise a | heure de LFR apres reception du time code
09:30:22.591245, TM_LFR_HK, TIME=0x8000000346da

09:30:23.591236, TM_LFR_HK, TIME=0x1b45fd976093

la premiere données scientifique qui arrive

09:30:23.991365,
TM_LFR_SCIENCE_NORMAL_BP1_F0,*TIME=0x1b44fd97a7e4,PA_LFR_ACQUISITION_TIME=0x1b44fd97a7e4*

et la BINGO, on voit 0x1b44 au lieu de 0x1b45* *
idem pour toutes le TM

09:35:26.392595, TM_LFR_SCIENCE_NORMAL_SWF_F0, TIME=0x9b44febfa146,PA_LFR_ACQUISITION_TIME=0x9b44febfa146
09:35:28.59267, TM_LFR_SCIENCE_NORMAL_SWF_F1,TIME=0x9b44febf6c3e,PA_LFR_ACQUISITION_TIME=0x9b44febf6c3e

Contexte:

SocExplorerEngine.getSocExplorer: Version = 0.2.2, Branch = default, Changeset = c839740ef520
Carte EM

Vhdl: 1.1.23

Soft: 2.0.0.0

Brique Star-Dundee S/N 46120065.

script: /home/validation/my_timeissue.py

RPW-SYS-MEB-LFR-ICD-00097 Issue2_Rev0
RPW-SYS-SSS-00013-LES + Annex_Release_Definition Issue3_rev0

History

#1 - 09/07/2014 10:48 AM - Veronique bouzid

Sur pc-coillot dans /home/validation/data/

j ai cree un dossier JIRA

et un repertoire pour RPWMEB-283

Ce repertoire contient les traces du test joué (my_timeissue_normal.py)
2014_07_09-09_36_04-Detail.txt 2014_07_09-09_36_04-Tc.csv
2014_07_09-09_36_04-Nb.txt  2014_07_09-09_36_04-Tm.csv
2014_07_09-09_36_04-Synth.txt my_timeissue_normal.py
#2 - 16/07/2014 07:42 AM - paul leroy

- File 2014_07_16-07_34_32-Detail.txt added
- File 2014_07_16-07_34_32-Nb.txt added

- File 2014_07_16-07_34_32-Synth.txt added
- File 2014 _07 _16-07_34 32-Tc.csv added

- File 2014_07_16-07_34_32-Tm.csv added

- Assignee changed from paul leroy to Veronique bouzid

Bug identifié et corrigé.
J'ai fait une version 2.0.1.0 qui corrige ce bug. J'ai relancé le script de test my_timeissue_normal et les résultats sont satisfaisants.

#3 - 27/02/2015 12:53 PM - Veronique bouzid
- File LFRControlPlugin_startAll.py added

- File my_timeissue_normal.py added

- Status changed from New to Resolved

- Assignee changed from Veronique bouzid to paul leroy

On rejoue le script /home/validation/SCRIPT/my_timeissue_normal.py qui est I'ancien script adapté a la nouvelle plateforme de test (Spacecraft time
generator).

Pour cela on lance socexplorer
- executer /opt/VALIDATION_R2/LFR_CONTROLPIugin_startAll.py
- executer /home/validation/SCRIPT/my_timeissue_normal.py

Le bug a disparu.

11:35:37.126772, TM_LFR_HK, TIME=0x1b45fdd80397,

11:35:38.126831, TM_LFR_HK, TIME=0x1b45fdd90396,

11:35:41.1268, TM_LFR_HK, TIME=0x1b45fddc0394,

11:35:41.402715, TM_LFR_SCIENCE_NORMAL_BP1_F0, TIME=0x1b45fdd84079,, PA_LFR_ACQUISITION_TIME=0x1b45fdd84079
11:35:41.414119, TM_LFR_SCIENCE_NORMAL_BP1_F1,TIME=0x1b45fdd8407c, PA_LFR_ACQUISITION_TIME=0x1b45fdd8407¢c
11:35:41.43935, TM_LFR_SCIENCE_NORMAL_BP1_F2,TIME=0x1b45fdd84171, PA_LFR_ACQUISITION_TIME=0x1b45fdd84171

Les fichiers de resultats sont dans /home/validation/data/R2+/BUG-182

Contexte de test

timegen: 0.0.0.1
SocExplorerEngine.getSocExplorer: Version = 0.4.5, Branch = default, Changeset = c4b98d42ee59

Carte EM

VHDL 1.1.63

Soft: 2.0.2.2

Brique Star-Dundee S/N 46120065.

#4 - 03/03/2015 12:32 PM - paul leroy

- Status changed from Resolved to Closed

Files

my_timeissue_normal.py 3.87 KB 09/07/2014 Veronique bouzid
2014_07_16-07_34_32-Nb.txt 281 Bytes 16/07/2014 paul leroy
2014_07_16-07_34_32-Detail.txt 1.11 MB 16/07/2014 paul leroy
2014_07_16-07_34_32-Synth.txt 24.1 KB 16/07/2014 paul leroy
2014 _07_16-07_34_32-Tc.csv 317 Bytes 16/07/2014 paul leroy
2014_07_16-07_34_32-Tm.csv 746 KB 16/07/2014 paul leroy
LFRControlPlugin_startAll.py 1.19 KB 27/02/2015 Veronique bouzid
my_timeissue_normal.py 6.26 KB 27/02/2015 Veronique bouzid
